# Uses of Class
org.eclipse.jface.text.contentassist.BoldStylerProvider

Packages that use BoldStylerProvider
Package
Description
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.

## Uses of BoldStylerProvider in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist with parameters of type BoldStylerProvider
Modifier and Type
Method
Description
`StyledString`
ICompletionProposalExtension7.`getStyledDisplayString(IDocument document, int offset, BoldStylerProvider boldStylerProvider)`
Returns the styled display string for this proposal with emphasized ranges that match the token at the current caret offset.